### Constructor

# Gio BufferedInputStream new

#### Declaration

    GInputStream*
    g_buffered_input_stream_new (
      GInputStream* base_stream
    )

#### Description

Creates a new `GInputStream` from the given `base_stream`, with a buffer set to the default size (4 kilobytes).

#### Parameters

`base_stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `GInputStream`

A `GInputStream` for the given `base_stream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.